### Method

# Gio DBusMethodInvocation take_error

since: 2.30

#### Declaration

    void
    g_dbus_method_invocation_take_error (
      GDBusMethodInvocation* invocation,
      GError* error
    )

#### Description

Like `g_dbus_method_invocation_return_gerror()` but takes ownership of `error` so the caller does not need to free it.

This method will take ownership of `invocation`. See `GDBusInterfaceVTable` for more information about the ownership of `invocation`.

Available since: 2.30

This method is not directly available to language bindings.

#### Parameters

`error`

  Type: `GError`

  A `GError`.

  The instance takes ownership of the data, and is responsible for freeing it.